head	1.2;
access;
symbols
	perseant-exfatfs-base-20250801:1.2
	perseant-exfatfs-base-20240630:1.2
	perseant-exfatfs:1.2.0.44
	perseant-exfatfs-base:1.2
	cjep_sun2x:1.2.0.42
	cjep_sun2x-base:1.2
	cjep_staticlib_x-base1:1.2
	cjep_staticlib_x:1.2.0.40
	cjep_staticlib_x-base:1.2
	phil-wifi-20200421:1.2
	phil-wifi-20200411:1.2
	phil-wifi-20200406:1.2
	pgoyette-compat-merge-20190127:1.2
	pgoyette-compat-20190127:1.2
	pgoyette-compat-20190118:1.2
	pgoyette-compat-1226:1.2
	pgoyette-compat-1126:1.2
	pgoyette-compat-1020:1.2
	pgoyette-compat-0930:1.2
	pgoyette-compat-0906:1.2
	pgoyette-compat-0728:1.2
	pgoyette-compat-0625:1.2
	pgoyette-compat-0521:1.2
	pgoyette-compat-0502:1.2
	pgoyette-compat-0422:1.2
	pgoyette-compat-0415:1.2
	pgoyette-compat-0407:1.2
	pgoyette-compat-0330:1.2
	pgoyette-compat-0322:1.2
	pgoyette-compat-0315:1.2
	pgoyette-compat:1.2.0.38
	pgoyette-compat-base:1.2
	prg-localcount2-base3:1.2
	prg-localcount2-base2:1.2
	prg-localcount2-base1:1.2
	prg-localcount2:1.2.0.36
	prg-localcount2-base:1.2
	pgoyette-localcount-20170426:1.2
	bouyer-socketcan-base1:1.2
	pgoyette-localcount-20170320:1.2
	bouyer-socketcan:1.2.0.34
	bouyer-socketcan-base:1.2
	pgoyette-localcount-20170107:1.2
	pgoyette-localcount-20161104:1.2
	localcount-20160914:1.2
	pgoyette-localcount-20160806:1.2
	pgoyette-localcount-20160726:1.2
	pgoyette-localcount:1.2.0.32
	pgoyette-localcount-base:1.2
	netbsd-5-2-3-RELEASE:1.2
	netbsd-5-1-5-RELEASE:1.2
	yamt-pagecache-base9:1.2
	yamt-pagecache-tag8:1.2
	tls-earlyentropy:1.2.0.28
	tls-earlyentropy-base:1.2
	riastradh-xf86-video-intel-2-7-1-pre-2-21-15:1.2
	riastradh-drm2-base3:1.2
	netbsd-5-2-2-RELEASE:1.2
	netbsd-5-1-4-RELEASE:1.2
	netbsd-5-2-1-RELEASE:1.2
	netbsd-5-1-3-RELEASE:1.2
	agc-symver:1.2.0.30
	agc-symver-base:1.2
	tls-maxphys-base:1.2
	yamt-pagecache-base8:1.2
	netbsd-5-2:1.2.0.26
	yamt-pagecache-base7:1.2
	netbsd-5-2-RELEASE:1.2
	netbsd-5-2-RC1:1.2
	yamt-pagecache-base6:1.2
	yamt-pagecache-base5:1.2
	yamt-pagecache-base4:1.2
	netbsd-5-1-2-RELEASE:1.2
	netbsd-5-1-1-RELEASE:1.2
	yamt-pagecache-base3:1.2
	yamt-pagecache-base2:1.2
	yamt-pagecache:1.2.0.24
	yamt-pagecache-base:1.2
	bouyer-quota2-nbase:1.2
	bouyer-quota2:1.2.0.22
	bouyer-quota2-base:1.2
	matt-nb5-pq3:1.2.0.20
	matt-nb5-pq3-base:1.2
	netbsd-5-1:1.2.0.18
	netbsd-5-1-RELEASE:1.2
	netbsd-5-1-RC4:1.2
	netbsd-5-1-RC3:1.2
	netbsd-5-1-RC2:1.2
	netbsd-5-1-RC1:1.2
	netbsd-5-0-2-RELEASE:1.2
	netbsd-5-0-1-RELEASE:1.2
	jym-xensuspend-nbase:1.2
	netbsd-5-0:1.2.0.16
	netbsd-5-0-RELEASE:1.2
	netbsd-5-0-RC4:1.2
	netbsd-5-0-RC3:1.2
	netbsd-5-0-RC2:1.2
	jym-xensuspend:1.2.0.14
	jym-xensuspend-base:1.2
	netbsd-5-0-RC1:1.2
	netbsd-5:1.2.0.12
	netbsd-5-base:1.2
	mjf-devfs2:1.2.0.10
	mjf-devfs2-base:1.2
	yamt-pf42-base4:1.2
	yamt-pf42-base3:1.2
	hpcarm-cleanup-nbase:1.2
	v4-1-29:1.1.1.9
	yamt-pf42-base2:1.2
	yamt-pf42:1.2.0.8
	yamt-pf42-base:1.2
	keiichi-mipv6:1.2.0.6
	keiichi-mipv6-base:1.2
	cube-autoconf:1.2.0.4
	cube-autoconf-base:1.2
	hpcarm-cleanup:1.2.0.2
	hpcarm-cleanup-base:1.2
	v4-1-23:1.1.1.8
	v4-1-22:1.1.1.8
	v4-1-20:1.1.1.8
	v4-1-19:1.1.1.8
	v4-1-13:1.1.1.8
	v4-1-8:1.1.1.7
	v4-1-6:1.1.1.6
	v4-1-5:1.1.1.6
	v4-1-3:1.1.1.5
	v4-1-1:1.1.1.4
	v3-4-29:1.1.1.3
	v3-4-27:1.1.1.3
	v3-4-25:1.1.1.2
	v3-4-23:1.1.1.2
	v3-4-16:1.1.1.1
	v3-4-9:1.1.1.1
	v3-4-6:1.1.1.1
	v3-4-4:1.1.1.1
	v3-4-3:1.1.1.1
	v3-4-2:1.1.1.1
	v3-4-1:1.1.1.1
	v3-3-8:1.1.1.1
	v3-3-6:1.1.1.1
	v3-3-5:1.1.1.1
	DARRENR:1.1.1;
locks; strict;
comment	@# @;


1.2
date	99.12.11.22.49.37;	author veego;	state dead;
branches;
next	1.1;

1.1
date	99.12.11.22.23.59;	author veego;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	99.12.11.22.23.59;	author veego;	state Exp;
branches;
next	1.1.1.2;

1.1.1.2
date	2002.01.24.08.18.31;	author martti;	state Exp;
branches;
next	1.1.1.3;

1.1.1.3
date	2002.05.02.16.51.30;	author martti;	state Exp;
branches;
next	1.1.1.4;

1.1.1.4
date	2004.03.28.08.55.53;	author martti;	state Exp;
branches;
next	1.1.1.5;

1.1.1.5
date	2004.07.23.05.34.07;	author martti;	state Exp;
branches;
next	1.1.1.6;

1.1.1.6
date	2005.02.08.06.53.04;	author martti;	state Exp;
branches;
next	1.1.1.7;

1.1.1.7
date	2005.04.03.15.01.13;	author martti;	state Exp;
branches;
next	1.1.1.8;

1.1.1.8
date	2006.04.04.16.08.50;	author martti;	state Exp;
branches;
next	1.1.1.9;

1.1.1.9
date	2008.05.20.06.44.30;	author darrenr;	state Exp;
branches;
next	;


desc
@@


1.2
log
@We don't need these files.
@
text
@#!/bin/sh
#
PATH=/sbin:/usr/sbin:/bin:/usr/bin; export PATH
 
# try to bomb out fast if anything fails....
set -e
 
argv0=`basename $0`
dir=`pwd`
karch=`uname -m`
archdir="/sys/arch/$karch"
confdir="$archdir/conf"
 
echo -n "Installing "
for i in ip_fil.[ch] fil.c ip_nat.[ch] ip_frag.[ch] ip_state.[ch] ip_proxy.[ch] ip_auth.[ch] ip_log.c ip_compat.h ipl.h ip_ftp_pxy.c ip_rcmd_pxy.c ip_raudio_pxy.c ; do
	echo -n "$i "
	cp $i /sys/netinet/
	chmod 644 /sys/netinet/$i
done
echo ""
if [ -f /sys/netinet/ip_fil_compat.h ] ; then
	echo "Linking /sys/netinet/ip_compat.h to /sys/netinet/ip_fil_compat.h"
	rm /sys/netinet/ip_fil_compat.h
	ln -s /sys/netinet/ip_compat.h /sys/netinet/ip_fil_compat.h
fi
exit 0
@


1.1
log
@Initial revision
@
text
@@


1.1.1.1
log
@Inital import of IP Filter 3.3.5 under the dist directory.
@
text
@@


1.1.1.2
log
@Import IPFilter 3.4.23
@
text
@a11 4
ipfdir=/sys/netinet
if [ -d /sys/contrib/ipfilter ] ; then
	ipfdir=/sys/contrib/ipfilter/netinet
fi
d15 1
a15 1
for i in ip_fil.[ch] fil.c ip_nat.[ch] ip_frag.[ch] ip_state.[ch] ip_proxy.[ch] ip_auth.[ch] ip_log.c ip_compat.h ipl.h ip_*_pxy.c ; do
d17 2
a18 2
	cp $i $ipfdir
	chmod 644 $ipfdir/$i
@


1.1.1.3
log
@Import IPFilter 3.4.27
@
text
@a10 9
os=`uname -s`
if [ $os = FreeBSD ] ; then
	rev=`uname -r`
	rev=`expr $rev : '\([0-9]*\)\..*'`
	if [ $rev = 2 ] ; then
		echo "Copying /usr/include/osreldate.h to /sys/sys"
		cp /usr/include/osreldate.h /sys/sys
	fi
fi
@


1.1.1.4
log
@Import IPFilter 4.1.1
@
text
@a3 1
argv0=`basename $0`
a4 6
os=`uname -s`
rev=`uname -r`
maj=`expr $rev : '\([0-9]*\)\.'`
min=`expr $rev : '[0-9]*\.\([0-9]*\)'`
sub=`expr $rev : '[0-9]*\.[0-9]*\.\([0-9]*\)'`

d7 2
a8 2

fullrev=`printf '%02d%02d%02d' $maj $min $sub`
d11 9
a25 2
major=`ls -l /dev/ipnat | sed -e 's/.* \([0-9]*\),.*/\1/'`
echo "Major number for IP Filter is $major"
d28 2
a29 39
for j in auth frag nat proxy scan state sync pool htable lookup rules; do
	for i in ip_$j.[ch]; do
		if [ -f "$i" ] ; then
			echo -n " $i"
			cp $i $ipfdir
			chmod 644 $ipfdir/$i
		fi
	done
done

case $os in
SunOS)
	case `uname -r` in
	5.*)
		filc=ip_fil_solaris.c
		;;
	4.*)
		filc=ip_fil_sunos.c
		;;
	esac
	;;
*BSD)
	filc=ip_fil_`echo $os | tr A-Z a-z`.c
	case $os in
	FreeBSD)
		cp mlfk_ipl.c $ipfdir/
		;;
	*)
		;;
	esac
	;;
esac

echo -n "$filc -> ip_fil.c "
cp $filc $ipfdir/ip_fil.c
chmod 644 $ipfdir/ip_fil.c

for i in ip_fil.h fil.c ip_log.c ip_compat.h ipl.h ip_*_pxy.c; do
	echo -n " $i"
a33 18
echo -n "Installing into /usr/include/netinet"
for j in auth compat fil frag nat proxy scan state sync pool htable lookup; do
	i=ip_$j.h
	if [ -f "$i" ] ; then
		echo -n " $i"
		cp $i /usr/include/netinet/$i
		chmod 644 /usr/include/netinet/$i
	fi
done
for j in ipl.h; do
	if [ -f "$j" ] ; then
		echo -n " $j"
		cp $j /usr/include/netinet/$j
		chmod 644 /usr/include/netinet/$j
	fi
done
echo

a38 111

if [ ! -e /dev/ipsync ] ; then
	echo "Creating /dev/ipsync"
	mknod /dev/ipsync c $major 4
fi

if [ ! -e /dev/ipsync ] ; then
	echo "Creating /dev/ipscan"
	mknod /dev/ipsync c $major 5
fi

if [ ! -e /dev/iplookup ] ; then
	echo "Creating /dev/iplookup"
	mknod /dev/iplookup c $major 6
fi

set +e
os=`uname -s`
if [ $os = FreeBSD -a -f /sys/conf/files ] ; then
	cd /sys/conf
	if [ -f options ] ; then
		if [ ! -f options.preipf4 ] ; then
			mv options options.preipf4
			cp -p options.preipf4 options
		fi
		for i in SCAN SYNC LOOKUP COMPILED; do
			grep IPFILTER_$i options >/dev/null 2>&1
			if [ $? -ne 0 ] ; then
				echo >> options
				echo "# extra option for IP Filter" >> options
				echo "IPFILTER_$i	opt_ipfilter.h" >> options
			fi
		done
	fi
	if [ ! -f files.preipf4 ] ; then
		mv files files.preipf4
		cp -p files.preipf4 files
	fi
	for i in htable pool lookup; do
		grep ip_$i.c files >/dev/null 2>&1
		if [ $? -ne 0 ] ; then
			echo "contrib/ipfilter/netinet/ip_$i.c	optional ipfilter inet ipfilter_lookup" >> files
		fi
	done
	grep ip_sync.c files >/dev/null 2>&1
	if [ $? -ne 0 ] ; then
		echo 'contrib/ipfilter/netinet/ip_sync.c	optional ipfilter inet ipfilter_sync' >> files
	fi
	grep ip_scan.c files >/dev/null 2>&1
	if [ $? -ne 0 ] ; then
		echo 'contrib/ipfilter/netinet/ip_scan.c	optional ipfilter inet ipfilter_scan' >> files
	fi
	grep ip_rules.c files >/dev/null 2>&1
	if [ $? -ne 0 ] ; then
		echo 'contrib/ipfilter/netinet/ip_rules.c	optional ipfilter inet ipfilter_compiled' >> files
	fi
fi
if [ $os = NetBSD -a -f /sys/conf/files ] ; then
	cd /sys/conf
	if [ ! -f files.preipf4 ] ; then
		mv files files.preipf4
		cp -p files.preipf4 files
	fi
	if [ $fullrev -ge 010600 ] ; then
		for i in htable pool lookup; do
			grep ip_$i.c files >/dev/null 2>&1
			if [ $? -ne 0 ] ; then
				echo "file	netinet/ip_$i.c	ipfilter & ipfilter_lookup" >> files
			fi
		done
		grep ip_sync.c files >/dev/null 2>&1
		if [ $? -ne 0 ] ; then
			echo 'file	netinet/ip_sync.c	ipfilter & ipfilter_sync' >> files
		fi
		grep ip_scan.c files >/dev/null 2>&1
		if [ $? -ne 0 ] ; then
			echo 'file	netinet/ip_scan.c	ipfilter & ipfilter_scan' >> files
		fi
		grep ip_rules.c files >/dev/null 2>&1
		if [ $? -ne 0 ] ; then
			echo 'file	netinet/ip_rules.c	ipfilter & ipfilter_compiled' >> files
		fi
	fi
fi
if [ $os = OpenBSD -a -f /sys/conf/files ] ; then
	cd /sys/conf
	if [ ! -f files.preipf4 ] ; then
		mv files files.preipf4
		cp -p files.preipf4 files
	fi
	if [ $fullrev -ge 030400 ] ; then
		for i in htable pool lookup; do
			grep ip_$i.c files >/dev/null 2>&1
			if [ $? -ne 0 ] ; then
				echo "file	netinet/ip_$i.c	ipfilter & ipfilter_lookup" >> files
			fi
		done
		grep ip_sync.c files >/dev/null 2>&1
		if [ $? -ne 0 ] ; then
			echo 'file	netinet/ip_sync.c	ipfilter & ipfilter_sync' >> files
		fi
		grep ip_scan.c files >/dev/null 2>&1
		if [ $? -ne 0 ] ; then
			echo 'file	netinet/ip_scan.c	ipfilter & ipfilter_scan' >> files
		fi
		grep ip_rules.c files >/dev/null 2>&1
		if [ $? -ne 0 ] ; then
			echo 'file	netinet/ip_rules.c	ipfilter & ipfilter_compiled' >> files
		fi
	fi
fi
@


1.1.1.5
log
@Import IPFilter 4.1.3
@
text
@d24 2
a25 6
if [ -f /dev/ipnat ] ; then
	major=`ls -l /dev/ipnat | sed -e 's/.* \([0-9]*\),.*/\1/'`
	echo "Major number for IP Filter is $major"
else
	major=x
fi
d61 3
a63 9
if [ -d $ipfdir/$filc ] ; then
	echo -n "$filc -> $ipfdir/$filc "
	cp $filc $ipfdir/$filc
	chmod 644 $ipfdir/$filc
else
	echo -n "$filc -> $ipfdir/ip_fil.c "
	cp $filc $ipfdir/ip_fil.c
	chmod 644 $ipfdir/ip_fil.c
fi
d95 4
a98 5
if [ $major != x ] ; then
	if [ ! -e /dev/ipsync ] ; then
		echo "Creating /dev/ipsync"
		mknod /dev/ipsync c $major 4
	fi
d100 4
a103 4
	if [ ! -e /dev/ipsync ] ; then
		echo "Creating /dev/ipscan"
		mknod /dev/ipsync c $major 5
	fi
d105 3
a107 4
	if [ ! -e /dev/iplookup ] ; then
		echo "Creating /dev/iplookup"
		mknod /dev/iplookup c $major 6
	fi
@


1.1.1.6
log
@Import IPFilter 4.1.5
@
text
@a22 3
if [ -d /sys/dist/ipf ] ; then
	ipfdir=/sys/dist/ipf/netinet
fi
d65 1
a65 1
if [ -f $ipfdir/$filc ] ; then
d69 1
a69 2
fi
if [ -f $ipfdir/ip_fil.c ] ; then
d169 1
a169 1
	if [ $fullrev -ge 010600 -a $fullrev -lt 020000 ] ; then
@


1.1.1.7
log
@Import IPFilter 4.1.8
@
text
@a220 31

if [ -f /usr/src/sys/modules/ipfilter/Makefile -a \
   ! -f /usr/src/sys/modules/ipfilter/Makefile.orig ] ; then
cat | (cd /usr/src/sys/modules/ipfilter; patch) <<__EOF__
*** Makefile.orig	Mon Mar 28 09:10:11 2005
--- Makefile	Mon Mar 28 09:12:51 2005
***************
*** 5,13 ****
  KMOD=	ipl
  SRCS=	mlfk_ipl.c ip_nat.c ip_frag.c ip_state.c ip_proxy.c ip_auth.c \\
! 	ip_log.c ip_fil.c fil.c
  
  .if !defined(NOINET6)
  CFLAGS+= -DUSE_INET6
  .endif
  CFLAGS+=  -I$${.CURDIR}/../../contrib/ipfilter
! CFLAGS+= -DIPFILTER=1 -DIPFILTER_LKM -DIPFILTER_LOG -DPFIL_HOOKS
--- 5,15 ----
  KMOD=	ipl
  SRCS=	mlfk_ipl.c ip_nat.c ip_frag.c ip_state.c ip_proxy.c ip_auth.c \\
! 	ip_log.c ip_fil.c fil.c ip_lookup.c ip_pool.c ip_htable.c \\
! 	ip_sync.c ip_scan.c ip_rules.c
  
  .if !defined(NOINET6)
  CFLAGS+= -DUSE_INET6
  .endif
  CFLAGS+=  -I$${.CURDIR}/../../contrib/ipfilter
! CFLAGS+= -DIPFILTER=1 -DIPFILTER_LKM -DIPFILTER_LOG -DPFIL_HOOKS \\
! 	-DIPFILTER_LOOKUP -DIPFILTER_COMPILED
__EOF__
fi
@


1.1.1.8
log
@Import IPFilter 4.1.13
@
text
@a33 8
if [ ! -f ip_rules.c -o ! -f ip_rules.h ] ; then
	echo "Please do a build of ipfilter and then run the following"
	echo "command to build extra files:"
	echo
	echo "make ip_rules.c"
	exit 1
fi

@


1.1.1.9
log
@Import IPFilter 4.1.29 to the vendor branch
@
text
@d35 5
a39 9
	echo "Trying to build ip_rules.c and ip_rules.h"
	make ip_rules.c
	if [ ! -f ip_rules.c -o ! -f ip_rules.h ] ; then
		echo "Please do a build of ipfilter and then run the following"
		echo "command to build extra files:"
		echo
		echo "make ip_rules.c"
		exit 1
	fi
@


